# BEGIN SourceDeps(oneline):
BuildRequires: libncurses-devel
# END SourceDeps(oneline)
Name:		usbsoftrock
Version:	1.0.2
Release:	alt1_5
Summary:	Command line utility for interfacing with Si570 based SDR kits

Group:		Communications
License:	GPLv2+
URL:		http://code.google.com/p/usbsoftrock
Source0:	http://usbsoftrock.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	%{name}-rules-usb

BuildRequires: libusb-compat-devel libusb-devel ncurses-devel
Source44: import.info

%description
Simple program which accepts convenient command line options
(e.g., frequencies in MHz), speaks the DG8SAQ USB protocol, understands
the Si570. It supports advanced firmware (that allows calculation of the
registers) and features such as BPF selection and smooth tuning in Fred
PE0FKO's firmware.


%prep
%setup -q
chmod -x usbsoftrock.c


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/lib/udev/rules.d
install -p -m 644 %{SOURCE1} %{buildroot}/lib/udev/rules.d/99-%{name}.rules


%files
%doc AUTHORS ChangeLog COPYING README THANKS
/lib/udev/rules.d/99-%{name}.rules
%{_bindir}/%{name}



%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_5
- initial fc import

